var
  f: TextFIle;
  ch: Char;
  r, s: String;
  i: Integer;
begin
  AssignFile(f, 'input.txt'); Reset(f);
  Readln(f, s);
  CloseFile(f);
  ch := '*';
  r := s;
  for i := 1 to Length(s) do begin
    case s[i] of
    '<': case ch of '*', '+': ch := '+'; else ch := '?'; end;
    '>': case ch of '*', '-': ch := '-'; else ch := '?'; end;
    end;
    r[i] := ch;
  end;
  AssignFile(f, 'output.txt'); Rewrite(f);
  Writeln(f, r);
  CloseFile(f);
end.
